# Uses of Enum
org.eclipse.microprofile.rest.client.ext.QueryParamStyle

Packages that use QueryParamStyle
Package
Description
org.eclipse.microprofile.rest.client
APIs for building a type-safe RESTful client leveraging existing Jakarta RESTful Web Services APIs, for example:
org.eclipse.microprofile.rest.client.ext
APIs for extending MP Rest Client functionality - such as new providers.

## Uses of QueryParamStyle in org.eclipse.microprofile.rest.client

Methods in org.eclipse.microprofile.rest.client with parameters of type QueryParamStyle
Modifier and Type
Method
Description
`RestClientBuilder`
RestClientBuilder.`queryParamStyle(QueryParamStyle style)`
Specifies the URI formatting style to use when multiple query parameter values are passed to the client.

## Uses of QueryParamStyle in org.eclipse.microprofile.rest.client.ext

Methods in org.eclipse.microprofile.rest.client.ext that return QueryParamStyle
Modifier and Type
Method
Description
`static QueryParamStyle`
QueryParamStyle.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QueryParamStyle[]`
QueryParamStyle.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.